
Figure - Bug #118795
【DVT】【AF】【和平精英】更新和平精英版本时出现黑屏、卡顿
2023-06-15 14:27 - SZTS_TEST 邹涛

Status: CLOSED Start date: 2023-06-15

Priority: Normal Due date:

Assignee: CDTS-RD6-FW1 孙逊 % Done: 0%

Category: BSP Estimated time: 0.00 hour

Target version: 依赖客户及其供应商问题List

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0110.C105(X105)（6.15号版本）

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

前置条件：车机上电，已连接蓝牙鼠标

操作步骤：更新和平精英版本，更新进度条到一半的时候出现黑屏，无任何显示，过了一分钟的样子显示蓝牙鼠标图标（之前连接了蓝

牙鼠标），通知中心和控制中心也可以正常显示，过了两分钟左右出现和平精英的画面，卡顿不可操作，大概又过了两分钟左右恢复正

常

预期结果：更新版本时不会出现黑屏、卡顿现象

实际结果：更新版本时会出现黑屏、卡顿现象

FlatBuild_HH_MCE_FSE.M.R.user.01.00.0110.C105（6.15号版本）

Related issues:

Related to Figure - Bug # 118764: 【AF】【EVT3】【小窗】高概率出现，应用宝... CLOSED 2023-06-15

History

#1 - 2023-06-15 14:30 - SZTS_TEST 邹涛

- Subject changed from 【DVT】【AF】【和平精英】更新和平精英出现黑屏、卡顿 to 【DVT】【AF】【和平精英】更新和平精英版本时出现黑屏、卡顿

#2 - 2023-06-15 14:33 - CD TPM-王祥林

- Category changed from CD-FW to SYSTEM

- Assignee changed from CD TPM-王祥林 to CD SYSTEM-胡兵

#3 - 2023-06-15 16:56 - CDTS-RD6-FW1 孙逊

Hi All

Log如下：

------

06-15 12:56:37.510 I/Telecom ( 1357): CallAudioRouteStateMachine: Message received: SPEAKER_OFF=1007, arg1=0:

CARSM.mSPCR->CARSM.pM_SPEAKER_OFF@AHU

06-15 12:56:37.510 I/Telecom ( 1357): QuiescentEarpieceRoute: Processing message SPEAKER_OFF: CARSM.mSPCR->CARSM.pM_SPEAKER_OFF@AHU

06-15 12:56:37.539 I/[ 7212.900263] oom_reaper(    0): reaped process 1921 (:xg_vip_service), now anon-rss:0kB, file-rss:0kB, shmem-rss:428kB

06-15 12:56:37.552 I/ActivityManager( 1357): Process com.tencent.tmgp.pubgmhd:xg_vip_service (pid 1921) has died: svcb SVC 

06-15 12:56:37.718 I/ActivityManager( 1357): Low on memory:

06-15 12:56:37.718 I/ActivityManager( 1357):   ntv   ??   60342: surfaceflinger (   32,264K memtrack) (pid 970) native

06-15 12:56:37.718 I/ActivityManager( 1357):   ntv   ??   16690: audioserver (pid 955) native

06-15 12:56:37.718 I/ActivityManager( 1357):   ntv   ??   15508: android.hardware.audio.service (pid 814) native

06-15 12:56:37.718 I/ActivityManager( 1357):   ntv   ??   13941: mediaserver (pid 1201) native

06-15 12:56:37.718 I/ActivityManager( 1357):   ntv   ??   12761: media.extractor (pid 1194) native

06-15 12:56:37.718 I/ActivityManager( 1357):   ntv   ??   12067: zygote (pid 688) native
06-15 12:56:37.718 I/ActivityManager( 1357):   ntv   ??   11149: webview_zygote (pid 2538) native

06-15 12:56:37.718 I/ActivityManager( 1357):   ntv   ??    8385: media.swcodec (pid 1250) native

06-15 12:56:37.718 I/ActivityManager( 1357):   ntv   ??    8171: android.hardware.wifi@1.0-service (pid 830) native

06-15 12:56:37.718 I/ActivityManager( 1357):   ntv   ??    6910: init (pid 1) native

06-15 12:56:37.718 I/ActivityManager( 1357):   ntv   ??    6409: zygote64 (pid 687) native

06-15 12:56:37.718 I/ActivityManager( 1357):   ntv   ??    6326: vendor.qti.hardware.display.composer-service (pid 836) native

06-15 12:56:37.718 I/ActivityManager( 1357):   ntv   ??    5627: hht_ota_mgr (pid 2016) native

------

目前看上去和平精英因为Low Memory 而被kill掉了,和118764类似

#4 - 2023-06-15 17:48 - CDTS-RD6-FW1 孙逊

由于12号版本入库了关闭了 enable_wartermark_check,会导致LMKD在不经过check的情况下kill 进程，进而导致频繁触发LMK。

本件判断为和118764（01.00.0110.C104）同件

#5 - 2023-06-15 21:27 - CD SYSTEM-胡兵

黑屏原因是Display问题：

06-15 13:03:58.337 E/[ 7653.738819] [MAX975X: max96755x_vc1_lcd_dtc_check] ERROR DTC_Display: screen not ready(0), bl_sta(1), lvl(20)

#6 - 2023-06-16 10:42 - CD TEST-方永红

- Category changed from SYSTEM to BSP

- Assignee changed from CD SYSTEM-胡兵 to CD BSP-杜磊

#7 - 2023-06-16 15:56 - CD BSP-杜磊

从如下log, 发现有屏端异常log,

000249_kernel_00009_230615_125823.log:

06-15 12:58:41.781     0     0 E [ 7337.160609] [MAX975X: max96755x_vc1_lcd_dtc_check] ERROR DTC_Display: screen not ready(0), bl_sta(1), lvl(20)

#8 - 2023-06-16 16:29 - CD BSP-杜磊

- Status changed from New to ASSIGNED

- Target version set to 依赖客户及其供应商问题List

#9 - 2023-06-19 16:15 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

208030 general/device/qcom/common Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

sunxun0328@thundersoft.com

SYSTEM: Change swappiness value to 60TC-RID: 1200-0800208IssueID: TS-R-DF-118795Change-Id: I5db4a04e61618876d709a8381382ac37a58505bc

#10 - 2023-06-19 16:15 - IoT scm

Gerrit Merge Information：
ID Project Branch Uploader

208032 general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

sunxun0328@thundersoft.com

SYSTEM: Modify the strategy of LMKAdjust the limit of background APPs to 3.Adjust the thrashing threshold and the timeout between kills to achieve an optimal

balance.TC-RID: 1200-0800208IssueID: TS-R-DF-118795Change-Id: If227f3651b4d6cfd4ae1420dd8ccf13f0d8c738b

#11 - 2023-06-20 09:59 - CD BSP-杜磊

- Assignee changed from CD BSP-杜磊 to CDTS-RD6-FW1 孙逊

#12 - 2023-06-20 21:42 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

208874 general/device/qcom/common Pre_figure_turbox-c2130c-la1.1-vendo

r-release_sorp

wangxl0510@thundersoft.com

SYSTEM: Change swappiness value to 60TC-RID: 1200-0800208IssueID: TS-R-DF-118795Change-Id: I5db4a04e61618876d709a8381382ac37a58505bc(cherry

picked from commit 49edf9850a68acb9e53cfb3d96068864139911cd)

#13 - 2023-06-20 21:43 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

208868 general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-la1.1-vendo

r-release_sorp

wangxl0510@thundersoft.com

SYSTEM: Modify the strategy of LMKAdjust the limit of background APPs to 3.Adjust the thrashing threshold and the timeout between kills to achieve an optimal

balance.TC-RID: 1200-0800208IssueID: TS-R-DF-118795Change-Id: If227f3651b4d6cfd4ae1420dd8ccf13f0d8c738b(cherry picked from commit

64f23748f449e4f41a971d504680013db386ba26)

#14 - 2023-09-14 15:35 - CDTS_TEST 王成

- Status changed from ASSIGNED to RESOLVED

未复现，先行关闭

#15 - 2023-09-14 15:36 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED
#16 - 2023-09-14 15:37 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

tlog_35f43216_000249_0615130742.tar.gz 10.6 MB 2023-06-15 SZTS_TEST 邹涛

logcat.txt 27.9 MB 2023-06-15 SZTS_TEST 邹涛

中科创达软件股份有限公司20230615-142249.mp4 5.65 MB 2023-06-15 SZTS_TEST 邹涛

中科创达软件股份有限公司20230615-142245.mp4 12.3 MB 2023-06-15 SZTS_TEST 邹涛

中科创达软件股份有限公司20230615-142236.mp4 2.12 MB 2023-06-15 SZTS_TEST 邹涛
